List categories
curl --request GET \
--url https://{domain}/api/application/modules/knowledgebase/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/knowledgebase/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/knowledgebase/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/knowledgebase/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/knowledgebase/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/knowledgebase/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/knowledgebase/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"url": "https://billing.example.com/knowledgebase/getting-started",
"description": "First steps with your account and services.",
"game": "Minecraft",
"icon": "book",
"order": 0,
"meta_title": "Install a Minecraft mod",
"meta_description": "Upload a mod and restart your server.",
"articles_count": 1,
"created_at": "2025-12-05T17:56:07Z",
"updated_at": "2025-12-05T17:56:20Z",
"status": "active"
},
{
"id": 2,
"name": "Billing",
"slug": "billing",
"url": "https://billing.example.com/knowledgebase/billing",
"description": "Invoices, payments and refunds.",
"game": "General",
"icon": "folder",
"order": 0,
"meta_title": "Billing help",
"meta_description": "Answers about invoices, payments and refunds.",
"articles_count": 0,
"created_at": "2026-03-03T13:36:39Z",
"updated_at": "2026-03-03T13:36:39Z",
"status": "active"
}
],
"meta": {
"request_id": "276d265a-3bc7-4704-b845-f9b15e3503f4",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 15,
"last_page": 8
}
}
}Knowledge Base
List categories
Knowledge base categories in their configured order, with the number of active articles.
Permission: modules.knowledgebase.articles.read
GET
/
application
/
modules
/
knowledgebase
/
categories
List categories
curl --request GET \
--url https://{domain}/api/application/modules/knowledgebase/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/knowledgebase/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/knowledgebase/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/knowledgebase/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/knowledgebase/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/knowledgebase/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/knowledgebase/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"url": "https://billing.example.com/knowledgebase/getting-started",
"description": "First steps with your account and services.",
"game": "Minecraft",
"icon": "book",
"order": 0,
"meta_title": "Install a Minecraft mod",
"meta_description": "Upload a mod and restart your server.",
"articles_count": 1,
"created_at": "2025-12-05T17:56:07Z",
"updated_at": "2025-12-05T17:56:20Z",
"status": "active"
},
{
"id": 2,
"name": "Billing",
"slug": "billing",
"url": "https://billing.example.com/knowledgebase/billing",
"description": "Invoices, payments and refunds.",
"game": "General",
"icon": "folder",
"order": 0,
"meta_title": "Billing help",
"meta_description": "Answers about invoices, payments and refunds.",
"articles_count": 0,
"created_at": "2026-03-03T13:36:39Z",
"updated_at": "2026-03-03T13:36:39Z",
"status": "active"
}
],
"meta": {
"request_id": "276d265a-3bc7-4704-b845-f9b15e3503f4",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 15,
"last_page": 8
}
}
}Authorizations
Query Parameters
Was this page helpful?

